Subject: Re: [PATCH v2 1/1] Added additional callback to ptp_clock_info:

From: Richard Cochran <[email-masked]>
Date: Wed, 8 Jul 2015 13:54:34 +0200

On Mon, Jul 06, 2015 at 03:44:58PM -0500, Josh Cartwright wrote:
> It's difficult to make too many judgements without seeing how a driver
> might implement this; is there another patchset that shows how a driver
> implements this?

The interface is certainly clear enough to me.  The details of
obtaining a cross time stamp from the hardware will remain hidden
behind the interface in any case.

> > -	int rsv[14];   /* Reserved for future use. */
> > +	/* Whether the clock supports precise system-device cross timestamps */
> > +	int precise_timestamping;
> 
> Perhaps now is a good time to add an unsigned int 'flags' member instead,
> and start allocating bits.

Considering the rate of growth for the PHC stuff, I am not worried
about spending a whole 'int' on this.

Thanks,
Richard